Bug 5429 - soundsupport for Neomagic
soundsupport for Neomagic
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
: 5382 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-29 02:29 EDT by Trond Eivind Glomsrød
Modified: 2014-03-16 22:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-29 10:50:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrød 1999-09-29 02:29:12 EDT
6.1.85

Soundsupport for my Dell 3500 wasn't a wise thing to do (I
definitely seem to have my share of sound-related
problems...) - sndconfig crashed the machine hard, after
detecting the Neomagic 256 sound "card" (it's a laptop).

Bad enough.

The real bad part was that it had created a conf.modules and
tried to load the sound module - which crashed the computer
hard every time. Turning off the sound from the BIOS didn't
help - I could never get into the system. And (this is bad)
-  using single user mode didn't work either, as it still
tried to load the module which crashed the computer.
Comment 1 Bill Nottingham 1999-09-29 10:50:59 EDT
The absolute latest sndconfig, after selecting but before
loading the Neomagic driver, pops up a warning that says'
"This driver is known to lock Dell Inspiron 3500s;  are you
sure you wish to continue?"

Admittedly, it's a band-aid.
We'll look at fixing the driver for an update.
Comment 2 Bill Nottingham 1999-09-29 12:24:59 EDT
*** Bug 5382 has been marked as a duplicate of this bug. ***

If your system contains certain sound cards (Dell Inspiron
3500 ) you can end up with a locked system that can only be
edited from a rescue mode.

The problem is that sndconfig edits /etc/conf.modules before
it tests if your system has a working sound card. On
installing module it can crash the system. If you reboot you
cannot get around the modules being loaded even if you do
a linux single because of /etc/conf.modules syntax.

Suggested Fix:
a)  have sndconfig test modules via explicit insmod commands
and at end of run write /etc/conf.modules
b) have initscripts not load sound modules in single user
mode

------- Additional Comments From notting@redhat.com  09/26/99 18:57 -------
FWIW, sndconfig does tell you it's writing a new
conf.modules. :)

Boot with "linux nomodules"; alternatively "linux init=/bin/bash".

Note You need to log in before you can comment on or make changes to this bug.